1. Limits
Freedom Pay
  • Overview
  • Gateway API
    • Overview
    • Sync API
      • Overview
      • Purchase
        • Overview
        • Create payment
        • Any amount
        • Card
        • 3DSecure
        • Recurrent
        • Cancel
        • Clearing
        • Refund
        • Status
      • Payout
        • Overview
        • Card
        • IBAN
        • Balance
        • Status
      • Transfer
        • Overview
        • Card
        • 3DSecure
        • Rates
        • Status
      • Card
        • Overview
        • Add
        • 3DSecure
        • List
        • Remove
        • Status
      • Token
        • Overview
        • Token Pay
        • Apple Pay
        • Google Pay
        • Token Payout
        • Status
    • Async API
      • Overview
      • create
        • create payment
      • read
        • read payment
        • read request
      • edit
        • edit payment.refund
        • edit payment.reverse
        • edit payment.clearing
  • Merchant API
    • Overview
    • Purchase
      • Overview
      • Checkout
      • Card token
        • Overview
        • Tokenize card
        • Delete token
        • Card token list
        • Create payment (with CVC)
        • Confirm payment (with CVC)
        • Create payment
        • Confirm payment
      • Create payment
      • Any amount
      • Reccuring payment
      • Cancel payment
      • Clearing
      • Refund payment
      • Status
    • Payout
      • Overview
      • Card token
        • Tokenize card
        • Delete token
        • Card token list
        • Create payment
      • Create payment
      • IBAN
      • Balance status
      • Status
    • Mobile balance
      • Overview
      • Init
      • Pay
      • Approve
      • Resend code
      • Status
    • Invoice
      • Overview
      • Create invoice
      • Info
      • Refund
      • Status
      • Cancel
    • SDK
      • JS SDK
      • Merchant SDK
        • Google Pay
        • Android
        • IOS
    • CMS
      • Overview
      • Get Merchant ID and key
      • WordPress
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
        • Update
      • Tilda
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • InSales
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • Ecwid
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • Bitrix
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • PrestaShop
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • OpenCart
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
    • Redirect back
      POST
    • Result notify
      POST
    • Payout notify
      POST
    • Check request
      POST
  • Card API
    • Overview
    • Client
      • Card link
      • Сards' list
      • Create client
      • Client info
      • Update client
      • Verify client
    • Transactions
      • Create transaction
      • Clearing transaction
      • Refund transaction
      • Transaction info
      • Transaction status (depricated)
      • Transaction status
    • Card
      • Activate card
      • Block card
      • Balance
      • Card info
      • Card update
      • Card tokenization
      • Close card
      • Find card
      • Issue card
      • Issue plastic card
      • Operations' list
      • Reset PIN counter
      • Statement extended
      • Set PIN
      • Secret data
      • Unblock card
    • Limits
      • Limits list
        POST
      • Set limits
        POST
    • Bulk issue
      POST
    • Cardholder validation
      POST
    • Request' status
      POST
  • Partner API
    • Rates
      • Overview
      • Rates
    • Products
      • Overview
      • Dictionaries
      • Add client with product
      • Client request status
      • Create terminal
      • Update terminal limits
      • Product request status
    • E-Money
      • Overview
      • Add
      • Owner identification
      • Info
      • Close
      • Block
      • Balance
      • Statement
      • Request Status
    • Device ID
      • Android SDK
      • iOS SDK
    • Implement SuperApp
      • Overview
      • Pay
      • Refund
    • Account
      • Overview
      • Create payment
      • Payment status
      • Batch statuses
      • Statement
      • Statement status
      • Balance
      • Balance status
    • Invoices
      • Info
  1. Limits

Limits list

POST
https://api.freedompay.kz/v5/card-api/limits/list
This method is used to retrieve a list of all active limits set for a specific object: a card, account, or client.
This allows clients to receive not only the limits themselves, but also real-time information about their current usage.

Request

Body Params application/json

Example
{
    "request_id": "019ab688-bef2-72c4-6a29-d0e08be76d95",
    "object": {
        "type": "card",
        "value": "019ade95-16a2-7783-a373-8911ee0b96af"
    }
}

Responses

🟢200Success
application/json
Body

Example
{
    "status": "ok",
    "request_status": "success",
    "dt": "2025-01-01T00:01:01+00:30",
    "limits": {
        "product": [
            {
                "id": "string",
                "mcc": "6012",
                "transaction_type": "pay",
                "region": "KAZ",
                "period": "day",
                "amount": [
                    {
                        "type": "min",
                        "value": "string",
                        "current": "string",
                        "remaining": "string",
                        "currency": "KZT"
                    }
                ]
            }
        ],
        "card": [
            {
                "id": "string",
                "mcc": "6012",
                "transaction_type": "pay",
                "region": "KAZ",
                "period": "day",
                "amount": [
                    {
                        "type": "min",
                        "value": "string",
                        "current": "string",
                        "remaining": "string",
                        "currency": "KZT"
                    }
                ]
            }
        ]
    }
}
Previous
Unblock card
Next
Set limits